//    Final Release of Patch v86F-4
//
//    Converted to KEAterm script by Lee Wolfe on 14-Dec-2001 to patch
//    HSG80 v86F-3 to v86F-4. Only applicable to v86F-1 Code Build Stream.
//    Pre-requisite patches v86F-2 and -3 must be installed prior to this 
//    patch.
//
//    *************** COMPAQ COMPUTER CORPORATION - DISCLAIMER **************
//    * In accordance to Compaq's commitment to maintain the highest level  *
//    * of customer satisfaction, this patch is being provided to customers *
//    * who have purchased the referenced Storageworks product that is      *
//    * currently covered by one of Compaq's  extensive warranty plans and  *
//    * is also provided to those customers not yet underCompaq's extended  *
//    * warranty plan as a courtesy.  The availability of this patch is in  *
//    * no way an obligation by Compaq to continue this practice in the     *
//    * future.                                                             *
//    ***********************************************************************
//
//    ****************************** WARNING ********************************
//    *                                                                     *
//    * - Please be sure to cut and paste EXACTLY as indicated.  Any        *
//    *   addition or subtraction of pertinent patch data will mean the     *
//    *   patch will not load due to a checksum failure and the controller  *
//    *   will remain at it's original version.                             *
//    *                                                                     *
//    * - As always, any critical data should be backed up prior to         * 
//    *   performing any updates.                                           *
//    ***********************************************************************
//
//				PATCH v86F-4
//
//    Patch Title:    Evict Devices for Hardware Errors 
//    HSOF Version:   HSG80 v86  / HSG60 v86
//    Patch Number:   4	
//    Date:           14-DEC-2001
//
//    I.     Patch Description:
//
//    Problem Symptoms:  
//    1.  Disk drive had hardware error reported via check condition with
//        Sense_Key=4.  This occurrence led controller through Bus Reset  
//        as recovery.  Under load conditions this could propogated to 
//        several failure scenerios, including controller crashes 
//        with PCI Faults, i960, deadman timer. 
//
//    Resolution: 
//    1.  At lowest level possible, we capture hardware errors as 
//        reported by disk devices, and immediately throw the device into
//        the failedset.  Devices thrown into Failedset should be 
//        considered defective and replaced. 
//
//    ----- Begin v86F-4 Script -----
//
MsgBox ("Beginning installation of patch v86F-4. Controller must be at v86F-3 to continue.")
//
CR = "^M"
Send ( CR )
Send ( "run clcp" + CR )
Send ( "2" + CR )
Send ( "1" + CR )
Send ( "y" + CR )
Send ( "V86F" + CR )
Send ( "84" + CR )
Send ( "0" + CR )
Send ( "4" + CR )
Send ( "16" + CR )
Send ( "C00D1810" + CR )
Wait ( 20 )
Send ( "5CA01E04" + CR )
Send ( "92A12104" + CR )
Send ( "5CA81E02" + CR )
Send ( "90A120F4" + CR )
Send ( "82A920F3" + CR )
Send ( "90A9206C" + CR )
Send ( "58A50997" + CR )
Send ( "92A120F4" + CR )
Send ( "5CA01E02" + CR )
Send ( "92A560C0" + CR )
Wait ( 20 )
Send ( "9081206C" + CR )
Send ( "5C881E10" + CR )
Send ( "86003000" + CR )
Send ( "C00BB2F0" + CR )
Send ( "84003000" + CR )
Send ( "C00D1954" + CR )
Send ( "0" + CR )
Send ( "32D6D1C1" + CR )
Send ( "3" + CR )
Send ( "0" + CR )
//
//    ----- End v86F-4 Script -----
//
MsgBox ("Patch v86F-4 has been installed. Restart controller for patch to take affect. If dual controllers, patch other controller now.")
//